View Issue Details

IDProjectCategoryView StatusLast Update
0007630mantisbtfeaturepublic2011-10-29 04:21
Reporterrobocoder Assigned Todregad  
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionno change required 
Product Version1.0.6 
Summary0007630: Override reporter_id
Description
  • bug_report.php (and bugnote_add.php) - allow authenticated administrator user to override the reporter ID, e.g.,

< $t_bug_data->reporter_id = auth_get_current_user_id();

$c_user_id = auth_get_current_user_id();
$t_reporter_id = gpc_get_string( 'reporter_id', $c_user_id );
if (($t_reporter_id !== $c_user_id ) && (access_get_global_level() == ADMINISTRATOR)) {
$t_bug_data->reporter_id = $t_user_id;
} else {
$t_bug_data->reporter_id = $c_user_id;
}

Additional Information

Background:
I wrote a script to import sourceforge tracker issues into mantis using the web interface. This has the advantage of (1) authenticating the bug reporter/commenter, (2) allows mantis to enforce rules (e.g., mandatory fields), (3) not mucking with the database directly, and (4) not requiring customization.

In the absence of this feature, the ID of the bot is used (where I would like to instead have the original sourceforge user's ID).

TagsNo tags attached.

Relationships

related to 0011615 closeddregad Select reporter while adding an issue 

Activities

dregad

dregad

2011-10-18 19:58

developer   ~0029994

A similar functionality is available via the CustomReporter plugin [1] (although it only applies to bugs, and not bug notes.

[1] https://github.com/mantisbt-plugins/CustomReporter

Issue History

Date Modified Username Field Change
2006-12-07 11:24 robocoder New Issue
2011-10-18 19:58 dregad Note Added: 0029994
2011-10-18 19:58 dregad Status new => resolved
2011-10-18 19:58 dregad Resolution open => no change required
2011-10-18 19:58 dregad Assigned To => dregad
2011-10-18 19:59 dregad Relationship added related to 0011615
2011-10-29 04:21 atrol Status resolved => closed